Name:          epiphany
Version:       47.3.1
Release:       1mamba
Summary:       The web browser for the GNOME desktop
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Apps
Source0:       https://gitlab.gnome.org/GNOME/epiphany.git/%{version}/epiphany-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libadwaita-devel
BuildRequires: libarchive-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgcr-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libjson-glib-devel
BuildRequires: libnettle-devel
BuildRequires: libpango-devel
BuildRequires: libportal-devel
BuildRequires: libportal-gtk4
BuildRequires: libsecret-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libwebkitgtk-6.0-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: ca-certificates
BuildRequires: glib-gettextize
BuildRequires: iso-codes-devel
Requires:      ca-certificates
Requires(post):desktop-file-utils

%description
Epiphany is the web browser for the GNOME desktop. Its goal is to be simple and easy to use.
Epiphany ties together many GNOME components in order to let you focus on the Web content, instead of the browser application.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Epiphany is a GNOME web browser based on the WebKit rendering engine.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} api docunentation 
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
Epiphany is a GNOME web browser based on the WebKit rendering engine.
This package contains %{name} api docunentation.


%prep
%setup -q
#-D -T
#:<< _EOF

cat >> data/default-prefs-common.js << EOF
pref("general.useragent.vendor", "openmamba");
pref("general.useragent.vendorSub", "%{version}-%{release}");
EOF

%build
#:<< _EOF
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --with-gnome

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%{_bindir}/update-desktop-database -q %{_datadir}/applications
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/HighContrastLargePrint
touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse
exit 0

%preun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
exit 0

%postun
%{_bindir}/update-desktop-database -q %{_datadir}/applications
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
	touch --no-create %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
	touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
fi
:

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &> /dev/null || :
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/epiphany
%dir %{_libdir}/epiphany
%{_libdir}/epiphany/libephy*.so
%dir %{_libdir}/epiphany/web-process-extensions
%{_libdir}/epiphany/web-process-extensions/lib*.so
%{_libexecdir}/epiphany-*
%dir %{_libexecdir}/epiphany
%{_libexecdir}/epiphany/*
%{_datadir}/applications/org.gnome.Epiphany.desktop
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Epiphany.*.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%dir %{_datadir}/epiphany
%{_datadir}/epiphany/default-bookmarks.rdf
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Epiphany.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
%{_mandir}/man1/epiphany.1*
%doc COPYING

%changelog
* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 47.3.1-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 47.2-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 47.1-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 47.0-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 46.4-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 46.3-1mamba
- automatic version update by autodist

* Sun Jun 30 2024 Automatic Build System <autodist@openmamba.org> 46.2-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 46.1-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 46.0-1mamba
- automatic version update by autodist

* Fri Mar 01 2024 Automatic Build System <autodist@openmamba.org> 45.3-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 45.2-2mamba
- specfile and build requirements cleanup

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 45.2-1mamba
- automatic version update by autodist

* Mon Feb 20 2023 Automatic Build System <autodist@mambasoft.it> 43.1-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0-1mamba
- update to 43.0

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 41.2-1mamba
- automatic version update by autodist

* Thu Dec 16 2021 Automatic Build System <autodist@mambasoft.it> 41.1-1mamba
- automatic version update by autodist

* Fri Nov 26 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Fri Aug 13 2021 Automatic Build System <autodist@mambasoft.it> 40.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 40.2-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 40.1-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 3.38.3-1mamba
- automatic version update by autodist

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 3.38.2-1mamba
- automatic version update by autodist

* Tue Nov 10 2020 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Sun Aug 09 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Fri Jul 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Fri May 29 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Fri Apr 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 3.30.3-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Wed Oct 10 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 3.28.3.1-1mamba
- automatic version update by autodist

* Mon Nov 20 2017 Automatic Build System <autodist@mambasoft.it> 3.22.7-1mamba
- automatic update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 3.22.6-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Sun Jul 24 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.3-2mamba
- rebuilt by autoport with build requirements: gnome-desktop-devel>=3.18.2-1mamba

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sun Nov 30 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Wed Dec 11 2013 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Wed Apr 17 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Sun May 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.6-3mamba
- added patch for libnotify 0.7

* Tue Nov 30 2010 gil <puntogil@libero.it> 2.30.6-2mamba
- rebuilt devel

* Sat Sep 25 2010 gil <puntogil@libero.it> 2.30.6-1mamba
- update to 2.30.6
- edit spec file

* Tue Dec 01 2009 gil <puntogil@libero.it> 2.28.2-1mamba
- update to 2.28.2

* Mon Apr 27 2009 gil <puntogil@libero.it> 2.26.1-1mamba
- update to 2.26.1

* Tue Jan 13 2009 gil <puntogil@libero.it> 2.24.3-1mamba
- update to 2.24.3

* Mon Jan 12 2009 gil <puntogil@libero.it> 2.24.2.1-2mamba
- added %post %postun %preun

* Sun Dec 07 2008 gil <puntogil@libero.it> 2.24.2.1-1mamba
- update to 2.24.2.1
- built with: xulrunner 1.9.0.4

* Tue Nov 25 2008 gil <puntogil@libero.it> 2.24.2-1mamba
- update to 2.24.2

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.1-2mamba
- edit default-bookmars.html

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.1-1mamba
- update to 2.24.1

* Tue Oct 21 2008 gil <puntogil@libero.it> 2.24.0.1-1mamba
- package created by autospec
